### Hierarchy

- EventEmitter
  - MessagePort

## Index

### Properties

- defaultMaxListeners

### Methods

- addListener
- close
- emit
- eventNames
- getMaxListeners
- listenerCount
- listeners
- off
- on
- once
- postMessage
- prependListener
- prependOnceListener
- rawListeners
- ref
- removeAllListeners
- removeListener
- setMaxListeners
- start
- unref
- listenerCount

## Properties

### Static defaultMaxListeners

defaultMaxListeners: number

Inherited from EventEmitter.defaultMaxListeners

- Defined in node_modules/@types/node/events.d.ts:8

## Methods

### addListener

- addListener(event: "close", listener: function): this
- addListener(event: "message", listener: function): this
- addListener(event: string | symbol, listener: function): this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/worker_threads.d.ts:22

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/worker_threads.d.ts:23

  #### Parameters

  - ##### event: "message"

  - ##### listener: function

    - - (value: any): void

      - #### Parameters

        - ##### value: any

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/worker_threads.d.ts:24

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### close

- close(): void

- - Defined in node_modules/@types/node/worker_threads.d.ts:16

  #### Returns void

### emit

- emit(event: "close"): boolean
- emit(event: "message", value: any): boolean
- emit(event: string | symbol, ...args: any[]): boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/worker_threads.d.ts:26

  #### Parameters

  - ##### event: "close"

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/worker_threads.d.ts:27

  #### Parameters

  - ##### event: "message"

  - ##### value: any

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/worker_threads.d.ts:28

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  Overrides EventEmitter.eventNames

  - Defined in node_modules/@types/node/events.d.ts:23

  #### Returns Array<string | symbol>

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  Overrides EventEmitter.getMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:19

  #### Returns number

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  Overrides EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:24

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from EventEmitter.listeners

  Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/events.d.ts:20

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### off

- off(event: "close", listener: function): this
- off(event: "message", listener: function): this
- off(event: string | symbol, listener: function): this

- Overrides EventEmitter.off

  - Defined in node_modules/@types/node/worker_threads.d.ts:50

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.off

  - Defined in node_modules/@types/node/worker_threads.d.ts:51

  #### Parameters

  - ##### event: "message"

  - ##### listener: function

    - - (value: any): void

      - #### Parameters

        - ##### value: any

        #### Returns void

  #### Returns this

- Overrides EventEmitter.off

  - Defined in node_modules/@types/node/worker_threads.d.ts:52

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: "close", listener: function): this
- on(event: "message", listener: function): this
- on(event: string | symbol, listener: function): this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/worker_threads.d.ts:30

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/worker_threads.d.ts:31

  #### Parameters

  - ##### event: "message"

  - ##### listener: function

    - - (value: any): void

      - #### Parameters

        - ##### value: any

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/worker_threads.d.ts:32

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### once

- once(event: "close", listener: function): this
- once(event: "message", listener: function): this
- once(event: string | symbol, listener: function): this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/worker_threads.d.ts:34

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/worker_threads.d.ts:35

  #### Parameters

  - ##### event: "message"

  - ##### listener: function

    - - (value: any): void

      - #### Parameters

        - ##### value: any

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/worker_threads.d.ts:36

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### postMessage

- postMessage(value: any, transferList?: Array<ArrayBuffer | MessagePort>): void

- - Defined in node_modules/@types/node/worker_threads.d.ts:17

  #### Parameters

  - ##### value: any

  - ##### Optional transferList: Array<ArrayBuffer | MessagePort>

  #### Returns void

### prependListener

- prependListener(event: "close", listener: function): this
- prependListener(event: "message", listener: function): this
- prependListener(event: string | symbol, listener: function): this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/worker_threads.d.ts:38

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/worker_threads.d.ts:39

  #### Parameters

  - ##### event: "message"

  - ##### listener: function

    - - (value: any): void

      - #### Parameters

        - ##### value: any

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/worker_threads.d.ts:40

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: "close", listener: function): this
- prependOnceListener(event: "message", listener: function): this
- prependOnceListener(event: string | symbol, listener: function): this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/worker_threads.d.ts:42

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/worker_threads.d.ts:43

  #### Parameters

  - ##### event: "message"

  - ##### listener: function

    - - (value: any): void

      - #### Parameters

        - ##### value: any

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/worker_threads.d.ts:44

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from EventEmitter.rawListeners

  Overrides EventEmitter.rawListeners

  - Defined in node_modules/@types/node/events.d.ts:21

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### ref

- ref(): void

- - Defined in node_modules/@types/node/worker_threads.d.ts:18

  #### Returns void

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  Overrides EventEmitter.removeAllListeners

  - Defined in node_modules/@types/node/events.d.ts:17

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: "close", listener: function): this
- removeListener(event: "message", listener: function): this
- removeListener(event: string | symbol, listener: function): this

- Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/worker_threads.d.ts:46

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/worker_threads.d.ts:47

  #### Parameters

  - ##### event: "message"

  - ##### listener: function

    - - (value: any): void

      - #### Parameters

        - ##### value: any

        #### Returns void

  #### Returns this

- Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/worker_threads.d.ts:48

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  Overrides EventEmitter.setMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:18

  #### Parameters

  - ##### n: number

  #### Returns this

### start

- start(): void

- - Defined in node_modules/@types/node/worker_threads.d.ts:20

  #### Returns void

### unref

- unref(): void

- - Defined in node_modules/@types/node/worker_threads.d.ts:19

  #### Returns void

### Static listenerCount

- listenerCount(emitter: EventEmitter, event: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:7
  deprecated

    since v4.0.0

  #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string | symbol

  #### Returns number

Generated using TypeDoc